<?php 
/**
 * Album Template Name: Album Four Columns
 * 
 */
global $imgDimensions;

$imgDimensions = array( 'width' => 144, 'height' => 108 );
?>
<?php if (!empty ($this->images)) : ?>
    
<div id="smp-images" class="four-columns">
	<div class="smp-pagination top">
		<?php $this->pagination->create_pagination_static($this->currentPage,2,$this->totalPages) ?>
	</div>

	<ul id="smp-imagelist" style="clear:both;">
            <?php foreach ($this->images as $image) : ?>
                <li class="item photo" style="top: 0px;">
                    <a title="<?php echo $image['Caption'] ?>" href="<?php echo $image['UsableURL']; ?>" rel="prettyPhoto[images]">
                            <img width="<?php echo $imgDimensions['width'] ?>" title="<?php echo $image['Caption'] ?>" alt="<?php echo $image['Caption'] ?>" class="fade-image" src="<?php echo $image['ThumbURL'] ?>" style="opacity: 1;">
                    </a>					
                </li>
            <?php endforeach; ?>
	</ul>

 	<div class="smp-pagination bottom">
		<?php $this->pagination->create_pagination_static($this->currentPage,2,$this->totalPages) ?>
	</div>
    </div>
	

<?php endif; ?>