<?php if($this->totalPages != 0): ?>
	<div id="paging_button">
		<?php
			$this->pagination->create_pagination_ajax($this->currentPage,2,$this->totalPages)
		?>
	</div>
<?php endif; ?>
<div class="num-per-page">
	<?php
		$images_per_page_array = array(10,20,30,'All');
		$this->pagination->items_per_page($images_per_page_array);
	?>
</div>

<div id="exif-data">
	<div id="exif-interior">
	</div>
</div>

<table id="smp-imagelist" class="widefat fixed" cellspacing="0" >

	<thead>
		<tr>
			<th class="id">SmugMug ID</th>
			<th class="image">Image</th>
			<th class="caption">Caption</th>
			<th class="sizes">Viewable Sizes</th>
			<th class="exclude">Exclude</th>
			<th class="visit-smug">Visit SmugMug</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th class="id">SmugMug ID</th>
			<th class="image">Image</th>
			<th class="caption">Caption</th>
			<th class="sizes">Viewable Sizes</th>
			<th class="exclude">Exclude</th>
			<th class="visit-smug">Visit SmugMug</th>
		</tr>
	</tfoot>
	<tbody>
		<?php //print_r($paged_images[0]); ?>
		<?php foreach ( $this->paged_images as $image ) : ?>
			<tr>
				<td class="id"><?php echo $image['id']; ?></td>
				<td class="image"><a id="prettyPhoto" href="<?php echo $image['LargeURL']; ?>" rel="prettyPhoto[main]"><img src="<?php echo $image['ThumbURL']; ?>" alt="" /></a></td>
				<td class="caption">
                                    <div id="caption-<?php echo $image['id']; ?>">
                                        <textarea id="<?php echo $image['id']; ?>" name="image-caption"><?php echo $image['Caption']; ?></textarea>
					<br />
					<button id="caption-save" class="button-secondary">Save</button>
                                    </div>
				</td>
				<td class="sizes">
						<a class="size" id="prettyPhotoOrig" href="<?php echo $image['OriginalURL']; ?>" rel="prettyPhoto[original]" title="View Size: Orignal">&nbsp;</a>
						<a class="size" id="prettyPhotoXL3" href="<?php echo $image['X3LargeURL']; ?>" rel="prettyPhoto[xlarge3]" title="View Size: Extra Large 3">&nbsp;</a>
						<a class="size" id="prettyPhotoXL2" href="<?php echo $image['X2LargeURL']; ?>" rel="prettyPhoto[xlarge2]" title="View Size: Extra Large 2">&nbsp;</a>
						<a class="size" id="prettyPhotoXL" href="<?php echo $image['XLargeURL']; ?>" rel="prettyPhoto[xlarge]" title="View Size: Extra Large">&nbsp;</a>
						<a class="size" id="prettyPhotoL" href="<?php echo $image['LargeURL']; ?>" rel="prettyPhoto[large]" title="View Size: Large">&nbsp;</a>
						<a class="size" id="prettyPhotoM" href="<?php echo $image['MediumURL']; ?>" rel="prettyPhoto[medium]" title="View Size: Medium">&nbsp;</a>
						<a class="size" id="prettyPhotoS" href="<?php echo $image['SmallURL']; ?>" rel="prettyPhoto[small]" title="View Size: Small">&nbsp;</a>
				</td>
				<td class="exclude">
					<div id="image-hide">
						<div id="image-hide-loading-<?php echo $image['Key']; ?>" style="background: url('../images/loading-circle-small.gif') no-repeat scroll 50% 50% transparent; border: medium none;height: 28px;left: 30px;position: absolute;top: 16px;width: 28px;display:none;">
							&nbsp;
						</div>
						<div id="<?php echo $image['Key']; ?>">
							<?php
								if($image['Hidden'] == 1) {
									echo '<button class="button-secondary" imagehide="'.$image['Hidden'].'" key="'.$image['Key'].'" id="'.$image['id'].'">Show Image</button>';
									echo '<h3>Hidden</h3>';
								} else {
									echo '<button class="button-secondary" imagehide="'.$image['Hidden'].'" key="'.$image['Key'].'" id="'.$image['id'].'">Hide Image</button>';
									echo '<h3>Not Hidden</h3>';
									
								}
							?>
						</div>
					</div>
				</td>
				<td class="visit-smug">
					<a href="<?php echo $image['URL']; ?>?iframe=true&width=815&height=700" rel="prettyPhoto">View in SmugMug</a><br />
					<span class="image-exif" filename="<?php echo $image['FileName']; ?>" key="<?php echo $image['Key']; ?>" id="<?php echo $image['id']; ?>">Check Exif-Data</span>
				</td>
			</tr>
		<?php endforeach; ?>
	</tbody>
</table>